unit uEdita;

interface

uses
  SysUtils, Types, Classes, Variants, QGraphics, QControls, QForms, QDialogs,
  QStdCtrls, QMask;

type
  TfEdita = class(TForm)
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    butIns: TButton;
    edtNome: TMaskEdit;
    edtTel: TMaskEdit;
    procedure FormShow(Sender: TObject);
    procedure butInsClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fEdita: TfEdita;
  deletar: string; //telefone antigo

implementation

uses uPrincipal;

{$R *.xfm}

procedure TfEdita.FormShow(Sender: TObject);
begin
 deletar:= edtTel.Text;
end;

procedure TfEdita.butInsClick(Sender: TObject);
begin
 //confirma se deseja editar ou no:
 if messagedlg('Deseja realmente editar o telefone ' + deletar,mtConfirmation,[mbYes,mbNo],0)=mrYes then
  begin
   fPrincipal.sql.SQL.Text:= 'update telefones set agenda_nome = ' + quotedstr(trim(edtNome.Text)) +
                  ' , agenda_tel = ' + quotedstr(trim(edtTel.Text)) +
                  ' where agenda_tel = ' + quotedstr(deletar);
   fPrincipal.sql.ExecSQL(True);
   self.Close;
   fPrincipal.verdados(1);
  end;
end;

end.
